cURL
curl -X GET \
https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts/{{CONTACT_ID}} \
-H 'Authorization: Bearer {{TOKEN}}'var request = require("request");
var options = { method: 'GET',
url: 'https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts/{{CONTACT_ID}}',
headers:
{ Authorization: 'Bearer {{TOKEN}}' } };
request(options, function (error, response, body) {
if (error) throw new Error(error);
console.log(body);
});
<?php
$request = new HttpRequest();
$request->setUrl('https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts/{{CONTACT_ID}}');
$request->setMethod(HTTP_METH_GET);
$request->setHeaders(array(
'Authorization' => 'Bearer {{TOKEN}}'
));
try {
$response = $request->send();
echo $response->getBody();
} catch (HttpException $ex) {
echo $ex;
}
import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "<string>",
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"source": {
"id": "<string>",
"integration": "<string>",
"lastSynced": "<string>"
},
"keyword": "<string>",
"doubleOptIn": {
"enabled": true,
"prompt": "<string>"
},
"filter": {
"q": "<string>",
"attributes": [
{
"attribute": "<string>",
"comparator": "<string>",
"value": [
"<string>"
]
}
],
"list": "<string>",
"valid": true,
"invalid": true,
"blocked": true,
"unblocked": true,
"optIn": true
},
"optInConfirmation": "<string>",
"optIn": "2023-11-07T05:31:56Z",
"optOut": "2023-11-07T05:31:56Z"
}
],
"attributes": {},
"optIn": "2023-11-07T05:31:56Z",
"blocked": "2023-11-07T05:31:56Z",
"activecampaign": {
"id": 123
},
"hubspot": {
"id": 123
},
"pipedrive": {
"id": 123
},
"valid": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
},
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
},
"updated": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
}
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}contacts
Fetch contact by ID
GET
/
v1
/
accounts
/
{accountId}
/
contacts
/
{contactId}
cURL
curl -X GET \
https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts/{{CONTACT_ID}} \
-H 'Authorization: Bearer {{TOKEN}}'var request = require("request");
var options = { method: 'GET',
url: 'https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts/{{CONTACT_ID}}',
headers:
{ Authorization: 'Bearer {{TOKEN}}' } };
request(options, function (error, response, body) {
if (error) throw new Error(error);
console.log(body);
});
<?php
$request = new HttpRequest();
$request->setUrl('https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts/{{CONTACT_ID}}');
$request->setMethod(HTTP_METH_GET);
$request->setHeaders(array(
'Authorization' => 'Bearer {{TOKEN}}'
));
try {
$response = $request->send();
echo $response->getBody();
} catch (HttpException $ex) {
echo $ex;
}
import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sakari.io/v1/accounts/{accountId}/contacts/{contactId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "<string>",
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"source": {
"id": "<string>",
"integration": "<string>",
"lastSynced": "<string>"
},
"keyword": "<string>",
"doubleOptIn": {
"enabled": true,
"prompt": "<string>"
},
"filter": {
"q": "<string>",
"attributes": [
{
"attribute": "<string>",
"comparator": "<string>",
"value": [
"<string>"
]
}
],
"list": "<string>",
"valid": true,
"invalid": true,
"blocked": true,
"unblocked": true,
"optIn": true
},
"optInConfirmation": "<string>",
"optIn": "2023-11-07T05:31:56Z",
"optOut": "2023-11-07T05:31:56Z"
}
],
"attributes": {},
"optIn": "2023-11-07T05:31:56Z",
"blocked": "2023-11-07T05:31:56Z",
"activecampaign": {
"id": 123
},
"hubspot": {
"id": 123
},
"pipedrive": {
"id": 123
},
"valid": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
},
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
},
"updated": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
}
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
ID of contact to return
Query Parameters
ID of contact
⌘I